FAQ

CocoaPods won't let me install SnapKit into my iOS 7.0 project?

SnapKit no longer supports iOS 7.0. While you may find a way to integrate it manually on your own we do not support it and respectfully please do not open issues relating to iOS 7.0 integration.

What about Swift's operator overloading?

SnapKit's intention is to be simple and understandable to ensure new users and old alike can easily dive in and get going. While operator overloading may make the code a bit more concise it greatly reduces the readability.

Why not just use Interface Builder?

SnapKit is about building code based views and layouts. Interface Builder is fiddly and limiting when it comes to building constraints and is a nightmare for your source control change logs.

Who's behind all this?